Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8304/?format=api
{ "ob_id": 8304, "uuid": "bdb716a4594d1f938764081ac3fd6463", "title": "Level 2 data from the IASI (Infrared Atmospheric Sounding Interferometer) instrument on board the Metop-B satellite", "abstract": "Level 2 data products from the Infrared Atmospheric Sounding Interferometer (IASI) instrument on board the Eumetsat EPS Metop-B satellite. IASI is designed to measure the infrared spectrum emitted by the earth. IASI provides infrared soundings of the temperature profiles in the troposphere and lower stratosphere, moisture profiles in the troposphere, as well as some of the chemical components playing a key role in the climate monitoring, global change and atmospheric chemistry.", "keywords": "", "publicationState": "published", "dataPublishedTime": "2014-06-11T15:59:12", "doiPublishedTime": null, "updateFrequency": "irregular", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8305/?format=api", "dataPath": "/neodc/iasi_metop_b/data/l2", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2788091739824, "numberOfFiles": 30313, "fileFormat": null }, "timePeriod": null, "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected and prepared by EUMETSAT before a copy is obtained by NEODC direct from EUMETSAT", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5328/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8205/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/8295/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/31782/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33291/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33296/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33290/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33293/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33294/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33295/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33297/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33292/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/8309/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2663/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "metop_iasi", "label": "restricted: metop_iasi group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/Eumetsat%20Data_Policy.pdf", "licenceClassifications": "specific" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }